{%extends "base.html"%}
{% load static %}


{%block title%}
Scrumptious Recipes
{%endblock title%}

{%block content%}
    <header>

      <nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
        <div class="container-fluid">
          <a class="navbar-brand" href="#">Navbar</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarColor01">
            <ul class="navbar-nav me-auto">
              {% if user.is_authenticated %}
              <li class="nav-item active">
                <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url "user_logout" %}"> Log out </a>
              </li>
                {% else %}
              <li class="nav-item active">
                <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
              </li>
              {% endif %}
            </ul>
          </div>
        </div>
      </nav>
      
    </header>
    <main>
        <h1>Scrumptious Recipes</h1>
        <h2>All The Recipes You've Made</h2>
        <div class="content">
            {% for recipe in recipe_list %}
            <div>
              <h3>
                <a class="text-primary" href="{% url 'show_recipe' recipe.id %}">{{recipe.title}}</a>
              </h3>
              <img src="{{recipe.picture}}">
              <div>{{recipe.rating}} Stars</div>
              <p>{{recipe.created_on|date:"M. dS, Y"}}</p>
            </div>
            {% endfor %}
    </div>

    </main>
{%endblock content%}


</html>
<int:id>
